local _, T = ...

T.class_macros.DRUID = function()
    return {
        ["跑"] = "#showtooltip\n/cast [noform:3,outdoors][noform:3,swimming] 旅行形态(变形)\n/cast [noform:2/3,indoors][form:3,noflying] 猎豹形态\n/cast [form:2,indoors] 熊形态\n/use 侏儒X光眼镜\n/use 格里恩之铃\n/use 天界之鼓\n", -- /use 布尔吉·黑心的时装帽\n 法夜形态也是form，GetShapeshiftForm()=7
        ["潜行"] = "#showtooltip\n/cancelaura [nocombat] 树皮术\n/cast !潜行\n",
        ["自疗"] = "#showtooltip\n/castsequence [spec:1/2/3,talent:3/3,@player] reset=15 回春术,迅捷治愈,愈合,愈合,愈合\n/cast [notalent:3][spec:1/2/3,talent:3/1,@player][spec:1/2/3,talent:3/2,@player][spec:4,@player] 愈合\n",
        ["月火"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/cast 月火术\n",
        ["愤怒"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/cast 愤怒\n",
        ["日月"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence [nomod] reset=9,target,combat 阳炎术,月火术\n/cast [mod] 星辰坠落\n/use [combat,nomod] 13\n/use [combat,nomod] 14\n/use [combat,nomod] 改装的邪能焦镜\n/use [combat,nomod] 奥拉留斯的低语水晶\n",
        ["星怒"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence [spec:1] reset=20 星火术,愤怒\n/castsequence [nospec:1] reset=20 星火术,愤怒\n",
        ["星涌"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/cast 星涌术\n/use [combat] 联盟军旗\n/use [combat] 部落军旗\n/use [combat] 护火者之誓\n",
        ["野行"] = "#showtooltip\n/cast [nocombat] !潜行\n/cast [combat,talent:6/3] 原始之怒\n/cast [combat,notalent:6/3] 割裂\n",
        ["野性"] = function()
            if T.player_level < 23 then
                return "#showtooltip\n/targetenemy [noharm][dead]\n/castsequence reset=combat,12 斜掠,痛击,撕碎,撕碎\n/startattack\n/cast [combat] 猛虎之怒\n/use [combat] 13\n/use [combat] 14\n"
            else
                return "#showtooltip\n/targetenemy [noharm][dead]\n/castsequence reset=combat,12 斜掠,痛击,横扫,横扫,横扫\n/startattack\n/cast [combat] 猛虎之怒\n/use [combat] 13\n/use [combat] 14\n/use [combat] 改装的邪能焦镜\n/use [combat] 奥拉留斯的低语水晶\n"
            end
        end,
        ["撕咬"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/cast 凶猛撕咬\n",
        ["守行"] = (function()
            if T.player_level < 18 then
                return "#showtooltip\n/cast [combat] 重殴;猎豹形态(变形)\n/targetenemy [noharm,combat][dead,combat]\n/startattack [combat]\n"
            elseif T.player_level < 58 then
                return "#showtooltip\n/castsequence [combat] reset=3,combat 痛击,裂伤\n/cast [nocombat] 猎豹形态(变形)\n/targetenemy [noharm,combat][dead,combat]\n/startattack [combat]\n/cast [combat] 铁鬃\n/cast [combat] 树皮术\n/use [combat] 13\n/use [combat] 14\n"
            else
                -- /cast [combat] 狂暴\n/cast [combat] 饕餮狂乱\n
                return "#showtooltip\n/cast [combat] 痛击;猎豹形态(变形)\n/targetenemy [noharm,combat][dead,combat]\n/startattack [combat]\n/cast [combat] 铁鬃\n/cast [combat] 树皮术\n/use [combat] 13\n/use [combat] 14\n"
            end
        end)(),
        ["守护"] = (function()
            if T.player_level < 11 then
                return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/cast 裂伤\n/cast [combat] 树皮术\n/use [combat] 13\n/use [combat] 14\n"
            elseif T.player_level < 18 then
                return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence reset=4 裂伤,!痛击\n/use [combat] 13\n/use [combat] 14\n/cast [mod] 低吼\n"
            elseif T.player_level < 23 then
                return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence reset=4 裂伤,月火术,月火术,!痛击\n/cast [combat] 铁鬃\n/use [combat] 13\n/use [combat] 14\n/cast [mod] 低吼\n"
            else
                return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/cast [nocombat] 横扫\n/castsequence [combat] reset=4 裂伤,横扫,月火术,!痛击\n/cast [combat] 铁鬃\n/cast [combat] 树皮术\n/use [combat] 13\n/use [combat] 14\n/use [combat] 改装的邪能焦镜\n/use [combat] 奥拉留斯的低语水晶\n/cast [mod] 低吼\n"
            end
        end)()
    }
end

T.class_bars.DRUID = function()
    return {
        -- 平衡
        {
            [1] = {"spell", "猎豹形态"},
            [2] = {"macro", "日月"},
            [3] = {"macro", "星怒"},
            [4] = {"macro", "星涌"},
            [5] = dash_or_mount,
            [6] = {"macro", "自疗"},
            [7] = nil,
            [8] = nil,
            [9] = nil,
            [10] = nil,
            [11] = nil,
            [12] = nil,
            -- 猫形态
            [73] = {"macro", "潜行"},
            [74] = {"macro", "日月"},
            [75] = {"macro", "星怒"},
            [76] = {"macro", "星涌"},
            [77] = dash_or_mount,
            [78] = {"macro", "自疗"},
            [79] = nil,
            [80] = nil,
            [81] = nil,
            [82] = nil,
            [83] = nil,
            [84] = nil,
            -- 熊形态
            [97] = {"spell", "猎豹形态"},
            [98] = {"macro", "日月"},
            [99] = {"macro", "星怒"},
            [100] = {"macro", "星涌"},
            [101] = dash_or_mount,
            [102] = {"macro", "自疗"},
            [103] = nil,
            [104] = nil,
            [105] = nil,
            [106] = nil,
            [107] = nil,
            [108] = nil,
            -- 枭兽形态
            [109] = {"spell", "猎豹形态"},
            [110] = {"macro", "日月"},
            [111] = {"macro", "星怒"},
            [112] = {"macro", "星涌"},
            [113] = dash_or_mount,
            [114] = {"macro", "自疗"},
            [115] = {"spell", "日光术"},
            [116] = {"spell", "清除腐蚀"},
            [117] = {"spell", "安抚"},
            [118] = nil,
            [119] = nil,
            [120] = nil,
            -- 左下动作条
            [61] = {"spell", "愈合"},
            [62] = {"spell", "野性冲锋"},
            [63] = {"spell", "蛮力猛击"},
            [64] = nil,
            [65] = {"spell", "树皮术"},
            [66] = {"spell", "超凡之盟"},
            [67] = nil,
            [68] = nil,
            [69] = nil,
            [70] = nil,
            [71] = {"spell", "急奔"},
            [72] = {"spell", racial_active_abilitiy}
        },
        -- 野性
        {
            [1] = {"spell", "猎豹形态"},
            [2] = {"spell", "熊形态(变形)"},
            [3] = {"spell", "熊形态(变形)"},
            [4] = {"spell", "熊形态(变形)"},
            [5] = dash_or_mount,
            [6] = {"macro", "自疗"},
            [7] = {"macro", "月火"},
            [8] = nil,
            [9] = nil,
            [10] = nil,
            [11] = nil,
            [12] = {"spell", "旋风"},
            -- 猫形态
            [73] = {"macro", "野行"},
            [74] = {"macro", "野性"},
            [75] = {"macro", "撕咬"},
            [76] = {"spell", "迎头痛击"},
            [77] = dash_or_mount,
            [78] = {"macro", "自疗"},
            [79] = {"macro", "月火"},
            [80] = {"spell", "清除腐蚀"},
            [81] = {"spell", "安抚"},
            [82] = nil,
            [83] = nil,
            [84] = {"spell", "旋风"},
            -- 熊形态
            [97] = {"spell", "猎豹形态"},
            [98] = {"spell", "横扫"},
            [99] = {"spell", "裂伤"},
            [100] = {"spell", "迎头痛击"},
            [101] = dash_or_mount,
            [102] = {"macro", "自疗"},
            [103] = {"macro", "月火"},
            [104] = nil,
            [105] = nil,
            [106] = nil,
            [107] = nil,
            [108] = {"spell", "旋风"},
            -- 枭兽形态
            [109] = {"spell", "猎豹形态"},
            [110] = {"macro", "月火"},
            [111] = {"macro", "星怒"},
            [112] = {"macro", "星涌"},
            [113] = dash_or_mount,
            [114] = {"macro", "自疗"},
            [115] = nil,
            [116] = nil,
            [117] = nil,
            [118] = nil,
            [119] = nil,
            [120] = nil,
            -- 左下动作条
            [61] = {"spell", "愈合"},
            [62] = {"spell", "野性冲锋"},
            [63] = {"spell", "蛮力猛击"},
            [64] = nil,
            [65] = {"spell", "树皮术"},
            [66] = {"spell", "生存本能"},
            [67] = {"spell", "狂暴"},
            [68] = nil,
            [69] = nil,
            [70] = {"spell", "狂奔怒吼"},
            [71] = {"spell", "急奔"},
            [72] = {"spell", racial_active_abilitiy}
        },
        -- 守护
        {
            [1] = {"spell", "猎豹形态"},
            [2] = {"spell", "熊形态(变形)"},
            [3] = {"spell", "熊形态(变形)"},
            [4] = {"spell", "熊形态(变形)"},
            [5] = dash_or_mount,
            [6] = {"macro", "自疗"},
            [7] = nil,
            [8] = nil,
            [9] = nil,
            [10] = nil,
            [11] = nil,
            [12] = {"spell", "旋风"},
            -- 猫形态
            [73] = {"macro", "潜行"},
            [74] = {"spell", "熊形态(变形)"},
            [75] = {"spell", "熊形态(变形)"},
            [76] = {"spell", "熊形态(变形)"},
            [77] = dash_or_mount,
            [78] = {"macro", "自疗"},
            [79] = nil,
            [80] = nil,
            [81] = nil,
            [82] = nil,
            [83] = nil,
            [84] = {"spell", "旋风"},
            -- 熊形态
            [97] = {"macro", "守行"},
            [98] = {"macro", "守护"},
            [99] = {"macro", "月火"},
            [100] = {"spell", "迎头痛击"},
            [101] = dash_or_mount,
            [102] = {"macro", "自疗"},
            [103] = {"spell", "清除腐蚀"},
            [104] = {"spell", "夺魂咆哮"},
            [105] = {"spell", "安抚"},
            [106] = nil,
            [107] = nil,
            [108] = {"spell", "旋风"},
            -- 左下动作条
            [61] = {"spell", "狂暴回复"},
            [62] = {"spell", "野性冲锋"},
            [63] = {"spell", "蛮力猛击"},
            [64] = nil,
            [65] = {"spell", "生存本能"},
            [66] = {"spell", "狂暴"},
            [67] = nil,
            [68] = {"spell", "野性成长"},
            [69] = nil,
            [70] = {"spell", "狂奔怒吼"},
            [71] = {"spell", "急奔"},
            [72] = {"spell", racial_active_abilitiy}
        },
        -- 恢复
        {}
    }
end